Name:          vcdimager
Version:       2.0.1
Release:       1mamba
Summary:       A full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/vcdimager
Source:        ftp://ftp.gnu.org/gnu/vcdimager/vcdimager-%{version}.tar.gz
License:       GPL
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcdio-devel
BuildRequires: libpopt-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs. 
The following features are available so far (some features are only available in the latest alpha snapshots):
- Free software available under the GNU Public License
- Support for Video CD 1.1 and 2.0 disc formats
- Support for the Super Video CD 1.0 disc format
- Full PBC (playback control) support (play lists, selection lists and end lists)
- Support for segment play items
- Automatic padding of MPEG streams on the fly
- Support for 99-minute (out-of-specification) CD-R media
- Extraction of Video CDs into files (incl. the PBC information)
- Runs on all major UNIX flavors and on Win32
- Use of XML for the description of Video CDs

%package -n lib%{name}
Summary:       A full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs
Group:         Development/Libraries

%description -n lib%{name}
GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs. 
The following features are available so far (some features are only available in the latest alpha snapshots):
- Free software available under the GNU Public License
- Support for Video CD 1.1 and 2.0 disc formats
- Support for the Super Video CD 1.0 disc format
- Full PBC (playback control) support (play lists, selection lists and end lists)
- Support for segment play items
- Automatic padding of MPEG streams on the fly
- Support for 99-minute (out-of-specification) CD-R media
- Extraction of Video CDs into files (incl. the PBC information)
- Runs on all major UNIX flavors and on Win32
- Use of XML for the description of Video CDs

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs. 
The following features are available so far (some features are only available in the latest alpha snapshots):
- Free software available under the GNU Public License
- Support for Video CD 1.1 and 2.0 disc formats
- Support for the Super Video CD 1.0 disc format
- Full PBC (playback control) support (play lists, selection lists and end lists)
- Support for segment play items
- Automatic padding of MPEG streams on the fly
- Support for 99-minute (out-of-specification) CD-R media
- Extraction of Video CDs into files (incl. the PBC information)
- Runs on all major UNIX flavors and on Win32
- Use of XML for the description of Video CDs

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info vcdimager.info

%preun
%uninstall_info vcdimager.info

%files
%defattr(-,root,root)
%{_bindir}/cdxa2mpeg
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxbuild
%{_bindir}/vcdxgen
%{_bindir}/vcdxminfo
%{_bindir}/vcdxrip
%{_infodir}/vcdimager.info.gz
%{_mandir}/man1/cdxa2mpeg.1.gz
%{_mandir}/man1/vcdimager.1.gz
%{_mandir}/man1/vcd-info.1.gz
%{_mandir}/man1/vcdxbuild.1.gz
%{_mandir}/man1/vcdxgen.1.gz
%{_mandir}/man1/vcdxminfo.1.gz
%{_mandir}/man1/vcdxrip.1.gz
%{_infodir}/vcd-info.info.gz
%{_infodir}/vcdxrip.info.gz

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvcdinfo.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libvcdinfo.a
%{_libdir}/libvcdinfo.la
%{_libdir}/libvcdinfo.so
%dir %{_includedir}/libvcd
%{_includedir}/libvcd/*.h
%{_libdir}/pkgconfig/*.pc
%doc BUGS ChangeLog ChangeLog_pre0_5 ChangeLog_pre0_7_14 NEWS
%doc README THANKS TODO

%changelog
* Thu Aug 30 2018 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Mar 19 2011 Automatic Build System <autodist@mambasoft.it> 0.7.24-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 0.7.23-4mamba
- automatic rebuild by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.23-3mamba
- automatic rebuild by autodist

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.23-2mamba
- specfile updated

* Fri Jan 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.23-1qilnx
- package created by autospec
